Loading...
Searching...
No Matches
irr::video::S3DVertex Struct Reference

standard vertex used by the Irrlicht engine. More...

`#include <S3DVertex.h>`

Inheritance diagram for irr::video::S3DVertex:

## Public Member Functions

| S3DVertex ()
| default constructor
| S3DVertex (const core::vector3df &pos, const core::vector3df &normal, SColor color, const core::vector2d< f32 > &tcoords)
| constructor
| S3DVertex (f32 x, f32 y, f32 z, f32 nx, f32 ny, f32 nz, SColor c, f32 tu, f32 tv)
| constructor
S3DVertex | getInterpolated (const S3DVertex &other, f32 d)
E_VERTEX_TYPE | getType () const
bool | operator!= (const S3DVertex &other) const
bool | operator< (const S3DVertex &other) const
bool | operator== (const S3DVertex &other) const

## Public Attributes

SColor | Color
| Color.
core::vector3df | Normal
| Normal vector.
core::vector3df | Pos
| Position.
core::vector2d< f32 > | TCoords
| Texture coordinates.

## Detailed Description

standard vertex used by the Irrlicht engine.

Definition at line 42 of file S3DVertex.h.

## Constructor & Destructor Documentation

## S3DVertex() [1/3]

irr::video::S3DVertex::S3DVertex | ( |  | ) |

inline

default constructor

Definition at line 45 of file S3DVertex.h.

Referenced by irr::video::S3DVertex2TCoords::S3DVertex2TCoords(), irr::video::S3DVertex2TCoords::S3DVertex2TCoords(), irr::video::S3DVertex2TCoords::S3DVertex2TCoords(), irr::video::S3DVertex2TCoords::S3DVertex2TCoords(), irr::video::S3DVertex2TCoords::S3DVertex2TCoords(), irr::video::S3DVertex2TCoords::S3DVertex2TCoords(), irr::video::S3DVertex2TCoords::S3DVertex2TCoords(), irr::video::S3DVertex2TCoords::S3DVertex2TCoords(), irr::video::S3DVertexTangents::S3DVertexTangents(), irr::video::S3DVertexTangents::S3DVertexTangents(), irr::video::S3DVertexTangents::S3DVertexTangents(), irr::video::S3DVertexTangents::S3DVertexTangents(), getInterpolated(), irr::video::S3DVertex2TCoords::operator!=(), operator!=(), irr::video::S3DVertexTangents::operator!=(), irr::video::S3DVertex2TCoords::operator<(), operator<(), irr::video::S3DVertexTangents::operator<(), irr::video::S3DVertex2TCoords::operator==(), operator==(), and irr::video::S3DVertexTangents::operator==().

## S3DVertex() [2/3]

irr::video::S3DVertex::S3DVertex | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | f32 | nx,
|  | f32 | ny,
|  | f32 | nz,
|  | SColor | c,
|  | f32 | tu,
|  | f32 | tv )

inline

constructor

Definition at line 48 of file S3DVertex.h.

References Color, Normal, Pos, and TCoords.

## S3DVertex() [3/3]

irr::video::S3DVertex::S3DVertex | ( | const core::vector3df & | pos,
|  | const core::vector3df & | normal,
|  | SColor | color,
|  | const core::vector2d< f32 > & | tcoords )

inline

constructor

Definition at line 52 of file S3DVertex.h.

References Color, Normal, Pos, and TCoords.

## Member Function Documentation

## getInterpolated()

S3DVertex irr::video::S3DVertex::getInterpolated | ( | const S3DVertex & | other,
|  | f32 | d )

inline

Definition at line 94 of file S3DVertex.h.

References S3DVertex(), irr::core::clamp(), Color, Normal, Pos, and TCoords.

## getType()

E_VERTEX_TYPE irr::video::S3DVertex::getType | ( |  | ) | const

inline

Definition at line 88 of file S3DVertex.h.

References irr::video::EVT_STANDARD.

## operator!=()

bool irr::video::S3DVertex::operator!= | ( | const S3DVertex & | other | ) | const

inline

Definition at line 74 of file S3DVertex.h.

References S3DVertex(), Color, Normal, Pos, and TCoords.

## operator<()

bool irr::video::S3DVertex::operator< | ( | const S3DVertex & | other | ) | const

inline

Definition at line 80 of file S3DVertex.h.

References S3DVertex(), Color, Normal, Pos, and TCoords.

## operator==()

bool irr::video::S3DVertex::operator== | ( | const S3DVertex & | other | ) | const

inline

Definition at line 68 of file S3DVertex.h.

References S3DVertex(), Color, Normal, Pos, and TCoords.

## Member Data Documentation

## Color

SColor irr::video::S3DVertex::Color

Color.

Definition at line 63 of file S3DVertex.h.

Referenced by S3DVertex(), S3DVertex(), irr::scene::SSkinMeshBuffer::convertTo2TCoords(), irr::scene::SSkinMeshBuffer::convertToTangents(), irr::video::S3DVertex2TCoords::getInterpolated(), getInterpolated(), irr::video::S3DVertexTangents::getInterpolated(), operator!=(), irr::scene::SVertexColorBrightnessManipulator::operator()(), irr::scene::SVertexColorContrastBrightnessManipulator::operator()(), irr::scene::SVertexColorContrastManipulator::operator()(), irr::scene::SVertexColorDesaturateToAverageManipulator::operator()(), irr::scene::SVertexColorDesaturateToLightnessManipulator::operator()(), irr::scene::SVertexColorDesaturateToLuminanceManipulator::operator()(), irr::scene::SVertexColorGammaManipulator::operator()(), irr::scene::SVertexColorInterpolateLinearManipulator::operator()(), irr::scene::SVertexColorInterpolateQuadraticManipulator::operator()(), irr::scene::SVertexColorInvertManipulator::operator()(), irr::scene::SVertexColorScaleManipulator::operator()(), irr::scene::SVertexColorSetAlphaManipulator::operator()(), irr::scene::SVertexColorSetManipulator::operator()(), irr::scene::SVertexColorThresholdManipulator::operator()(), operator<(), and operator==().

## Normal

core::vector3df irr::video::S3DVertex::Normal

Normal vector.

Definition at line 60 of file S3DVertex.h.

Referenced by S3DVertex(), S3DVertex(), irr::scene::SSkinMeshBuffer::convertTo2TCoords(), irr::scene::SSkinMeshBuffer::convertToTangents(), irr::video::S3DVertex2TCoords::getInterpolated(), getInterpolated(), irr::video::S3DVertexTangents::getInterpolated(), operator!=(), operator<(), and operator==().

## Pos

core::vector3df irr::video::S3DVertex::Pos

Position.

Definition at line 57 of file S3DVertex.h.

Referenced by S3DVertex(), S3DVertex(), irr::scene::SSkinMeshBuffer::convertTo2TCoords(), irr::scene::SSkinMeshBuffer::convertToTangents(), irr::video::S3DVertex2TCoords::getInterpolated(), getInterpolated(), irr::video::S3DVertexTangents::getInterpolated(), operator!=(), operator<(), and operator==().

## TCoords

core::vector2d<f32> irr::video::S3DVertex::TCoords

Texture coordinates.

Definition at line 66 of file S3DVertex.h.

Referenced by S3DVertex(), S3DVertex(), irr::scene::SSkinMeshBuffer::convertTo2TCoords(), irr::scene::SSkinMeshBuffer::convertToTangents(), irr::video::S3DVertex2TCoords::getInterpolated(), getInterpolated(), irr::video::S3DVertexTangents::getInterpolated(), operator!=(), irr::scene::SVertexTCoordsScaleManipulator::operator()(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- S3DVertex.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0